PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
plask::gain::freecarrier::FreeCarrierGainSolver< BaseT >::ActiveRegionParams Struct Reference

Structure containing active region data for current used. More...

`#include <solvers/gain/freecarrier/freecarrier.hpp>`

Collaboration diagram for plask::gain::freecarrier::FreeCarrierGainSolver< BaseT >::ActiveRegionParams:
[legend]

## Public Member Functions
| ActiveRegionParams (const FreeCarrierGainSolver *solver, const ActiveRegionInfo &region, double T, bool quiet=false, double mt=0.)
| ActiveRegionParams (const FreeCarrierGainSolver *solver, const ActiveRegionInfo &region, bool quiet=false, double mt=0.)
| ActiveRegionParams (const FreeCarrierGainSolver *solver, const ActiveRegionParams &ref, double T, bool quiet=true)
double | sideU (WhichLevel which) const
Tensor2< double > | sideM (WhichLevel which) const
double | delta (WhichLevel which, const ActiveRegionParams &ref) const

## Public Attributes
const ActiveRegionInfo & | region
std::vector< double > | U [3]
| Band levels.
std::vector< Tensor2< double > > | M [3]
| Effective masses.
double | Mt
| Momentum matrix element.
std::vector< Level > | levels [3]
| Approximate electron, heavy and light hole levels.
double | Eg
| Wells band gap.
size_t | nhh
| Number of electron–heavy hole pairs important for gain.
size_t | nlh
| Number of electron–light hole pairs important for gain.

## Detailed Description

template<typename BaseT>
struct plask::gain::freecarrier::FreeCarrierGainSolver< BaseT >::ActiveRegionParams

Structure containing active region data for current used.

Definition at line 126 of file freecarrier.hpp.

## Constructor & Destructor Documentation

## ◆ ActiveRegionParams() [1/3]

template<typename BaseT >

plask::gain::freecarrier::FreeCarrierGainSolver< BaseT >::ActiveRegionParams::ActiveRegionParams | ( | const FreeCarrierGainSolver * | solver,
|  | const ActiveRegionInfo & | region,
|  | double | T,
|  | bool | quiet = `false`,
|  | double | mt = `0.`
| ) |  |

Definition at line 192 of file freecarrier.cpp.

## ◆ ActiveRegionParams() [2/3]

template<typename BaseT >

plask::gain::freecarrier::FreeCarrierGainSolver< BaseT >::ActiveRegionParams::ActiveRegionParams | ( | const FreeCarrierGainSolver * | solver,
|  | const ActiveRegionInfo & | region,
|  | bool | quiet = `false`,
|  | double | mt = `0.`
| ) |  |
| inline

Definition at line 143 of file freecarrier.hpp.

## ◆ ActiveRegionParams() [3/3]

template<typename BaseT >

plask::gain::freecarrier::FreeCarrierGainSolver< BaseT >::ActiveRegionParams::ActiveRegionParams | ( | const FreeCarrierGainSolver * | solver,
|  | const ActiveRegionParams & | ref,
|  | double | T,
|  | bool | quiet = `true`
| ) |  |
| inline explicit

Definition at line 146 of file freecarrier.hpp.

## Member Function Documentation

## ◆ delta()

template<typename BaseT >

double plask::gain::freecarrier::FreeCarrierGainSolver< BaseT >::ActiveRegionParams::delta | ( | WhichLevel | which,
|  | const ActiveRegionParams & | ref
| ) |  | const
| inline

Definition at line 161 of file freecarrier.hpp.

## ◆ sideM()

template<typename BaseT >

Tensor2< double > plask::gain::freecarrier::FreeCarrierGainSolver< BaseT >::ActiveRegionParams::sideM | ( | WhichLevel | which | ) | const
| inline

Definition at line 159 of file freecarrier.hpp.

## ◆ sideU()

template<typename BaseT >

double plask::gain::freecarrier::FreeCarrierGainSolver< BaseT >::ActiveRegionParams::sideU | ( | WhichLevel | which | ) | const
| inline

Definition at line 157 of file freecarrier.hpp.

## Member Data Documentation

## ◆ Eg

template<typename BaseT >

double plask::gain::freecarrier::FreeCarrierGainSolver< BaseT >::ActiveRegionParams::Eg

Wells band gap.

Definition at line 133 of file freecarrier.hpp.

## ◆ levels

template<typename BaseT >

std::vector<Level> plask::gain::freecarrier::FreeCarrierGainSolver< BaseT >::ActiveRegionParams::levels[3]

Approximate electron, heavy and light hole levels.

Definition at line 132 of file freecarrier.hpp.

## ◆ M

template<typename BaseT >

std::vector<Tensor2<double> > plask::gain::freecarrier::FreeCarrierGainSolver< BaseT >::ActiveRegionParams::M[3]

Effective masses.

Definition at line 129 of file freecarrier.hpp.

## ◆ Mt

template<typename BaseT >

double plask::gain::freecarrier::FreeCarrierGainSolver< BaseT >::ActiveRegionParams::Mt

Momentum matrix element.

Definition at line 130 of file freecarrier.hpp.

## ◆ nhh

template<typename BaseT >

size_t plask::gain::freecarrier::FreeCarrierGainSolver< BaseT >::ActiveRegionParams::nhh

Number of electron–heavy hole pairs important for gain.

Definition at line 134 of file freecarrier.hpp.

## ◆ nlh

template<typename BaseT >

size_t plask::gain::freecarrier::FreeCarrierGainSolver< BaseT >::ActiveRegionParams::nlh

Number of electron–light hole pairs important for gain.

Definition at line 135 of file freecarrier.hpp.

## ◆ region

template<typename BaseT >

const ActiveRegionInfo& plask::gain::freecarrier::FreeCarrierGainSolver< BaseT >::ActiveRegionParams::region

Definition at line 127 of file freecarrier.hpp.

## ◆ U

template<typename BaseT >

std::vector<double> plask::gain::freecarrier::FreeCarrierGainSolver< BaseT >::ActiveRegionParams::U[3]

Band levels.

Definition at line 128 of file freecarrier.hpp.

The documentation for this struct was generated from the following files:

- solvers/gain/freecarrier/freecarrier.hpp
- solvers/gain/freecarrier/freecarrier.cpp